Get Region Details

From docs
Jump to: navigation, search

Mobile_API »Get Regions

Base URL

https://apimobile.callproof.com

Endpoint

/api/region

Purpose

Retrieves the list of regions configured for the authenticated user’s company.

HTTP Method

GET

Headers

Header Required Description
Authorization Yes Bearer access token

Security

  • Yes – Requires Bearer Token authentication.

Parameters

Path Parameters

None.

Query Parameters

None.

Request Body

None.

cURL Example for Android

 curl --location 'https://apimobile.callproof.com/api/region' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' 

cURL Example for iOS

 curl --location 'https://apimobile.callproof.com/api/region' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' 

Successful Response (200)

Returns the regions for the user’s company.

Field Type Description
clientStatusCode integer Status indicator for the client (for example, 200)
user_id integer Identifier of the authenticated user
company_id integer Identifier of the authenticated user’s company
data object Region payload
uri string Requested resource URI

data.regions[]

Field Type Description
id integer Unique identifier of the region
name string Region name
state string State associated with the region
county string County associated with the region

Error Responses

Status Code Meaning
400 Bad Request – regions could not be retrieved
401 Unauthorized – missing, invalid, or expired Bearer token
  • 400 – An error occurred while retrieving regions (for example, "Error while retrieving the region details.").
  • 401 – Authentication failed or the access token is missing/expired.